<!doctype html>
<html lang="{{ app.request.locale }}">
<head>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <title>{% block title %}{% endblock %}</title>
  <style media="all">

    @page {
      size: a4 portrait;
      margin: 0;
      padding: 0;
    }

    body {
      font-family: monospace;
      font-size: 14px;
      line-height: 15px;
      text-transform: uppercase;
      text-align: left;
      margin: 0;
      padding: 0;
      /*overflow: hidden;*/
    }

    .page {
      width: 210mm;
      height: 297mm;
      background-image: url("{{ absolute_url(asset('bundles/app/images/background-f24.jpg')) }}");
      background-size: contain;
      background-repeat: no-repeat;
      background-position: top center;
      page-break-after: always;
    }

    .page:last-child {
      page-break-after: auto;
    }

    .spaced {
      letter-spacing: 11px;
    }

    #applicant {
      width: 100%;
      height: 559px;
      margin: 0;
      padding: 0;
      position: relative;
    }

    #establishment {
      width: 100%;
      padding: 0;
      position: relative;
    }

    .fiscal-code {
      position: absolute;
      padding-left: 8px;
      left: 146px;
      top: 110px;
      width: 308px;
      background-color: unset;
      overflow: hidden;
    }

    .office-code {
      position: absolute;
      padding-left: 4px;
      left: 478px;
      top: 110px;
      width: 56px;
      background-color: unset;
      overflow: hidden;
    }

    .certificate-code {
      position: absolute;
      padding-left: 8px;
      left: 550px;
      top: 110px;
      width: 210px;
      background-color: unset;
      overflow: hidden
    }

    .family-name {
      position: absolute;
      padding-left: 4px;
      left: 146px;
      top: 142px;
      width: 400px;
      background-color: unset;
      overflow: hidden;
    }

    .name {
      position: absolute;
      padding-left: 4px;
      left: 560px;
      top: 142px;
      width: 204px;
      background-color: unset;
      overflow: hidden;
    }

    .birth-day {
      position: absolute;
      padding-left: 4px;
      left: 146px;
      top: 177px;
      width: 157px;
      background-color: unset;
      overflow: hidden;
    }

    .gender {
      position: absolute;
      left: 322px;
      top: 177px;
      width: 21px;
      background-color: unset;
      overflow: hidden;
      text-align: center;
    }

    .birth-place {
      position: absolute;
      left: 362px;
      top: 177px;
      width: 355px;
      background-color: unset;
      overflow: hidden;
    }

    .birth-county {
      position: absolute;
      left: 728px;
      top: 178px;
      width: 36px;
      background-color: unset;
      overflow: hidden;
      padding-left: 4px;
    }

    .co-obligor-fiscal-code {
      position: absolute;
      padding-left: 8px;
      left: 244px;
      top: 208px;
      width: 308px;
      background-color: unset;
      overflow: hidden;
    }

    .co-obligor-type {
      position: absolute;
      padding-left: 4px;
      left: 728px;
      top: 208px;
      width: 36px;
      background-color: unset;
      overflow: hidden;
    }

    .payments {
      position: absolute;
      list-style-type: none;
      padding: 0px;
      left: 0px;
      top: 244px;
      line-height: 16px;
    }

    .section {
      margin-left: 32px;
      padding-left: 10px;
      display: inline-block;
      width: 40px;
      background-color: unset;
    }

    .tax-code {
      margin-left: 6px;
      padding-left: 10px;
      display: inline-block;
      width: 40px;
      background-color: unset;
    }

    .organization-code {
      margin-left: -3px;
      padding-left: 3px;
      display: inline-block;
      width: 56px;
      letter-spacing: 6px;
      background-color: unset;
    }

    .redemption, .properties-variation, .advance-payment, .full-payment {
      margin-left: 1px;
      display: inline-block;
      width: 18px;
      text-align: center;
      background-color: unset;
    }

    .properties-number {
      margin-left: -2px;
      display: inline-block;
      width: 24px;
      text-align: center;
      background-color: unset;
    }

    .month {
      margin-left: -2px;
      padding-left: 5px;
      display: inline-block;
      width: 44px;
      background-color: unset;
    }

    .year {
      margin-left: -2px;
      padding-left: 5px;
      display: inline-block;
      width: 44px;
      background-color: unset;
    }

    .deduction-integer {
      padding-left: 0;
      display: inline-block;
      width: 44px;
      text-align: right;
      background-color: unset;
    }

    .deduction-decimal {
      margin-left: -2px;
      display: inline-block;
      width: 18px;
      background-color: unset;
    }

    .debit-integer {
      margin-left: 0;
      padding-left: 0;
      display: inline-block;
      width: 83px;
      text-align: right;
      background-color: unset;
    }

    .debit-decimal {
      margin-left: -2px;
      display: inline-block;
      width: 18px;
      background-color: unset;
    }

    .credit-integer {
      margin-left: -4px;
      padding-left: 0;
      display: inline-block;
      width: 83px;
      text-align: right;
      background-color: unset;
    }

    .credit-decimal {
      margin-left: 0;
      display: inline-block;
      width: 18px;
      background-color: unset;
    }

    .total-amount-integer {
      position: absolute;
      padding: 0;
      left: 650px;
      top: 423px;
      text-align: right;
      width: 95px;
      background-color: unset;
    }

    .total-amount-decimal {
      position: absolute;
      padding: 0;
      left: 750px;
      top: 423px;
      width: 18px;
      background-color: unset;
    }

    .payment-time {
      position: absolute;
      padding-left: 5px;
      left: 28px;
      top: 525px;
      width: 150px;
      background-color: unset;
    }

  </style>
</head>
<body>

{# Raggruppo i pagamneti che sono arrivati in base al tipo #}
{% set groupedTributes = {} %}
{% for item in pratica.dematerializedForms.data.tributes %}
  {% set paymentType = item.payment_type %}
  {% if groupedTributes[paymentType] is not defined %}
    {% set groupedTributes = groupedTributes | merge({ (paymentType): [] }) %}
  {% endif %}
  {% set groupedTributes = groupedTributes | merge({ (paymentType): groupedTributes[paymentType] | merge([item]) }) %}
{% endfor %}

{% for paymentType, tributes in groupedTributes %}
  <div class="page">
    {% for step in ['applicant', 'establishment'] %}
      <div id="{{ step }}">
        <div class="spaced fiscal-code">{{ pratica.dematerializedForms.data.passive_subject.data.fiscal_code.data.fiscal_code }}</div>
        <div class="spaced office-code">{{ pratica.dematerializedForms.data.administration_code }}</div>
        <div class="spaced certificate-code">&nbsp;</div>
        <div class="family-name">{{ pratica.dematerializedForms.data.passive_subject.data.completename.data.surname }}</div>
        <div class="name">{{ pratica.dematerializedForms.data.passive_subject.data.completename.data.name }}</div>
        <div class="spaced birth-day">{{ pratica.dematerializedForms.data.passive_subject.data.Born.data.natoAIl|parseDate|date('dmY') }}</div>
        <div class="gender">{{ pratica.dematerializedForms.data.passive_subject.data.gender.data.gender|first }}</div>
        <div class="birth-place">{{ pratica.dematerializedForms.data.passive_subject.data.Born.data.place_of_birth }}</div>
        <div class="spaced birth-county"></div>

        {% if pratica.dematerializedForms.data.coobligated_presence is defined and pratica.dematerializedForms.data.coobligated_presence %}
          <div class="spaced co-obligor-fiscal-code">{{ pratica.dematerializedForms.data['co-obligated'].data.tax_id }}</div>
          <div class="spaced co-obligor-type">{{ pratica.dematerializedForms.data.coobligated_type }}</div>
        {% endif %}

        {% if tributes|length > 0 %}
          {% set total = 0 %}
          <ul class="payments">
            {% for tribute in tributes %}
              {% set total = total + tribute.value_owed %}
              <li>
                <span class="section spaced">{{ pratica.dematerializedForms.data.section }}</span>
                <span class="tax-code">{{ tribute.tax_code }}</span>
                <span class="organization-code">{{ pratica.dematerializedForms.data.municipality_code }}</span>
                <span class="redemption">{% if tribute.repentance %}X{% else %}&nbsp;{% endif %}</span>
                <span class="properties-variation">&nbsp;</span>
                <span
                  class="advance-payment">{% if tribute.payment_type == 'acconto' %}X{% else %}&nbsp;{% endif %}</span>
                <span
                  class="full-payment">{% if tribute.payment_type == 'saldo' or tribute.payment_type == 'totale' %}X{% else %}&nbsp;{% endif %}</span>
                <span class="properties-number">{{ tribute.building_number }}</span>
                <span class="month"> {# { tribute.current_installment }}/{{ tribute.installments_amount } #}</span>
                <span class="year">{{ tribute.payment_year }}</span>

                {% if tribute.detraction_amount %}
                  {% set deduction = tribute.detraction_amount|split('.') %}
                  <span class="deduction-integer">{{ deduction[0] }}</span>
                  {% if deduction[1] is defined %}
                    <span class="deduction-decimal">{{ deduction[1] }}</span>
                  {% else %}
                    <span class="deduction-decimal">00</span>
                  {% endif %}
                {% else %}
                  <span class="deduction-integer">&nbsp;</span>
                  <span class="deduction-decimal">&nbsp;</span>
                {% endif %}

                {% set debt = tribute.debt_amount|split('.') %}
                <span class="debit-integer">{{ debt[0] }}</span>
                {% if debt[1] is defined %}
                  <span class="debit-decimal">{{ debt[1] }}</span>
                {% else %}
                  <span class="debit-decimal">00</span>
                {% endif %}

                <span class="credit-integer">&nbsp;</span>
                <span class="credit-decimal">&nbsp;</span>
              </li>
            {% endfor %}
          </ul>

          {% set total_amount = total|split('.') %}
          <div class="total-amount-integer">{{ total_amount[0] }}</div>
          {% if total_amount[1] is defined %}
            <div class="total-amount-decimal">{{ total_amount[1] }}</div>
          {% else %}
            <div class="total-amount-decimal">00</div>
          {% endif %}
        {% endif %}

        {% if pratica.dematerializedForms.data.payment_time is defined %}
          <div class="spaced payment-time">{{ pratica.dematerializedForms.data.payment_time|replace({'/': ''}) }}</div>
        {% endif %}
      </div>
    {% endfor %}
  </div>
{% endfor %}

</body>
</html>
